# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []


def install():
    print('Disabling: Start Menu Web Search')
    registry_set(HKEY_LOCAL_MACHINE,r'SOFTWARE\Policies\Microsoft\Windows\Windows Search','DisableWebSearch',1,REG_DWORD)
    registry_set(HKEY_LOCAL_MACHINE,r'SOFTWARE\Policies\Microsoft\Windows\Windows Search','ConnectedSearchUseWeb',0,REG_DWORD)
    registry_set(HKEY_LOCAL_MACHINE,r'SOFTWARE\Policies\Microsoft\Windows\Windows Search','ConnectedSearchUseWebOverMeteredConnections',0,REG_DWORD)


def uninstall():
    print('Re-Enabling: Default options of Start Menu Web Search')
    registry_delete(HKEY_LOCAL_MACHINE,r'SOFTWARE\Policies\Microsoft\Windows\Windows Search','DisableWebSearch')
    registry_delete(HKEY_LOCAL_MACHINE,r'SOFTWARE\Policies\Microsoft\Windows\Windows Search','ConnectedSearchUseWeb')
    registry_delete(HKEY_LOCAL_MACHINE,r'SOFTWARE\Policies\Microsoft\Windows\Windows Search','ConnectedSearchUseWebOverMeteredConnections')


def session_setup():
    print("Disabling: Start Menu Bing Search, Search History and Suggestions")
    registry_set(HKEY_CURRENT_USER,r'SOFTWARE\Microsoft\Windows\CurrentVersion\Search','DisableSearchBoxSuggestions',1,REG_DWORD)
    registry_set(HKEY_CURRENT_USER,r'Software\Microsoft\Windows\CurrentVersion\Search','BingSearchEnabled',0,REG_DWORD)
    registry_set(HKEY_CURRENT_USER,r'SOFTWARE\Microsoft\Windows\CurrentVersion\Search','DeviceHistoryEnabled',0,REG_DWORD)


def update_package():
    # Initializing variables
    version = control.version.split('-')[0]

    # Incrementing version of the package
    control.version = '%s-%s'%(version,int(control.version.split('-')[-1])+1)
    control.save_control_to_wapt()
    print('Changing package version to: %s in WAPT\\control' % control.version)

